package com.lframework.xingyun.sc.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.lframework.starter.web.enums.BaseEnum;

public enum SaleOrderIsLease implements BaseEnum<Integer> {

    NO(0, "否"),YES(1, "是");

    @EnumValue
    private Integer code;

    private String desc;

    SaleOrderIsLease(Integer code, String desc) {

        this.code = code;
        this.desc = desc;
    }

    @Override
    public Integer getCode() {

        return this.code;
    }

    @Override
    public String getDesc() {

        return this.desc;
    }

}
